<?php
require_once('signature.php');
//
function HA_SIDO_ACEPTADA($file_xml){
	$TODO_OK=0;
	$RPT="HA SIDO ACEPTADA";
	$fp = fopen($file_xml, "r");
	while (!feof($fp)){
		$linea =strtoupper(fgets($fp));
		$POS=strpos($linea,$RPT);
		if($POS>=0){
			$TODO_OK=1;
			break;
		}
	}
	fclose($fp);
	if($TODO_OK==1){
		return true;
	}else{
		return false;
	}
}
//++++
class ApiFacturacion
{
    //FUncion que me permita enviar a sunat por el metodo SendBill: BOLETAS, FACTURAS, NOTAS CREDITO, NOTAS DE DEBITO
   // public function EnviarComprobanteElectronico($emisor, $nombre, $rutacertificado = "", $ruta_archivo_xml = "facturacion/xml/", $ruta_archivo_cdr = 'facturacion/cdr/')
	public function EnviarComprobanteElectronico($emisor, $nombre, $ruta_archivo_xml = "facturacion/xml/", $ruta_archivo_cdr = 'facturacion/cdr/',$rutacertificado = "")
    {
        //PASO 02: Firmar XML digitalmente - INICIO
        $objFirma = new Signature();	
        $flg_firma = 0; //posicion donde se firma en el XML
        $ruta = $ruta_archivo_xml . $nombre . '.XML';
		$Beta=gs("v","sp_aux","t='BETA'");
		//$Beta=gs("aux_nom","auxiliar","aux_des='BETA'");
		if($Beta=="NO"){
			//$ruta_firma = $rutacertificado.'CERTIFICADO.pfx';    		//ruta del certificado digital
			//$pass_firma = 'Holver2020';					    			
			$ruta_firma = $rutacertificado.'CERTIFICADO'.$emisor['id_empresa'].'.pfx';
			$pass_firma = $emisor['cer_password'];
			//$ruta_firma="CERTIFICADO-PFX.pfx";
			//$pass_firma="Aylin20234";
			//echo "PFXX<br>";	    		
		}else{
			$ruta_firma = "certificado_prueba.pfx";	//certificado de prueba
			$pass_firma = "taqini";										//password de prueba			
			////$ruta_firma = $rutacertificado.'CERTIFICADO'.$emisor['id_empresa'].'.pfx';
			////$pass_firma = $emisor['cer_password'];
			////$pass_firma = "taqini";
			//echo "PFX<br>";
		}		
        //echo "BCCC";
        $objFirma->signature_xml($flg_firma, $ruta, $ruta_firma, $pass_firma);

		
        //echo "<br/>PASO 02: XML FIRMADO DIGITALMENTE.";
        //PASO 02: Firmar XML digitalmente - FIN
        //PASO 03: Comprimiar XML FIRMADO en formato .ZIP - INICIO
        $zip = new ZipArchive();
        $nombrezip = $nombre . '.ZIP';
        $ruta_zip = $ruta_archivo_xml . $nombre . '.ZIP';
        if($zip->open($ruta_zip, ZipArchive::CREATE) === TRUE)
        {
            $zip->addFile($ruta, $nombre . '.XML');
            $zip->close();
        }
        //echo "<br/>PASO 03: XML HA SIDO COMPRIMIDO EN FORMATO .ZIP.";
        //PASO 03: /Comprimiar XML FIRMADO en formato .ZIP - FIN
        //PASO 04: CODIFICAR EL .ZIP EN BASE64 - INICIO
		
		
        $ruta_archivo = $ruta_zip;
        $nombre_archivo = $nombrezip;
        $contenido_del_zip = base64_encode(file_get_contents($ruta_archivo));

		
		
        //echo "<br/>PASO 04: ARCHIVO ZIP DEL XML HA SIDO CODIFICADO BASE64";
        //echo "<br/> " . $contenido_del_zip;
        //PASO 04: CODIFICAR EL .ZIP EN BASE64 - FIN
        //PASO 05: ENVIO Y CONSUMO DE WEB SERVICE SUNAT -INICIO
				
        //$ws = "https://e-beta.sunat.gob.pe/ol-ti-itcpfegem-beta/billService"; //WS DE SUNAT BETA		
        //$ws = "https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService"; //ws DE SUNAT PRODUCCION
		

		if($Beta=="NO"){
			$ws = "https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService"; //ws DE SUNAT PRODUCCION
		}else{
			$ws = "https://e-beta.sunat.gob.pe/ol-ti-itcpfegem-beta/billService"; //WS DE SUNAT BETA
		}	
		//echo $emisor['ruc']."<br>";
		//echo $emisor['usuario_secundario']."<br>";
		//echo $emisor['clave_usuario_secundario']."<br>";
		
        $xml_envio ='<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" 
		xmlns:ser="http://service.sunat.gob.pe" 
		xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">		
            <soapenv:Header>
            <wsse:Security>
                <wsse:UsernameToken>
                    <wsse:Username>' . $emisor['ruc'] . $emisor['usuario_secundario'] . '</wsse:Username>
                    <wsse:Password>' . $emisor['clave_usuario_secundario'] . '</wsse:Password>
                </wsse:UsernameToken>
            </wsse:Security>
            </soapenv:Header>
            <soapenv:Body>
            <ser:sendBill>
                <fileName>' . $nombre_archivo . '</fileName>
                <contentFile>' . $contenido_del_zip . '</contentFile>
            </ser:sendBill>
            </soapenv:Body>
        </soapenv:Envelope>';
		
		//echo "XML=".$xml_envio."@<br>";
		
		
        $header = array(
            "Content-type: text/xml; charset=\"utf-8\"",
            "Accept: text/xml",
            "Cache-Control: no-cache",
            "Pragma: no-cache",
            "SOAPAction: ",
            "Content-lenght: " . strlen($xml_envio)
        );

        $ch = curl_init(); //inicia la llamada
        curl_setopt($ch,CURLOPT_SSL_VERIFYPEER, 0); //NORMAL VA EN 1
        curl_setopt($ch,CURLOPT_URL, $ws);//url a consultar
        curl_setopt($ch,CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch,CURLOPT_HTTPAUTH, CURLAUTH_ANY);
        curl_setopt($ch,CURLOPT_TIMEOUT, 30);
        curl_setopt($ch,CURLOPT_POST, true);
        curl_setopt($ch,CURLOPT_POSTFIELDS, $xml_envio);
        curl_setopt($ch,CURLOPT_HTTPHEADER, $header);
        curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__)."/cacert.pem");//windows, cuando estemos productivos comenta esta linea

        $response = curl_exec($ch); //Ejecuto y obtengo resultado
        $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        
        //echo '</br> PASO 05: CONSUMO DE WS DE SUNAT';

        //PASO 05: ENVIO Y CONSUMO DE WEB SERVICE SUNAT -FIN

        //PASO 06 - 09: RECIBIR DE DECODIFICAR EN XML ENVELOPE DE SUNAT - INICIO
        $estadoofe = '0';

        //echo $httpcode;
		
        if($httpcode == 200) //codigo es 200 es que la conexion es OK
        {
			//echo "200";
            $doc = new DOMDocument();
            $doc->loadXML($response); //tengo el XML en memoria
			//echo $response."<br>";
            if(isset($doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue))
            {
                $cdr = $doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue;
                //echo '</br> PASO 06: RESPUESTA XML ENVELOPE DE SUNAT';

                $cdr = base64_decode($cdr); //decodificamos la rpta de sunat; tengo el archivO zip en memoria
                //echo '</br> PASO 07: DECODIFICACION DEL ENVELOPE SUNAT';

                file_put_contents($ruta_archivo_cdr . 'R-' . $nombrezip, $cdr);//Guardando de memoria a disco el ZIP

                $zip = new ZipArchive();
                if($zip->open($ruta_archivo_cdr . 'R-' . $nombrezip)===TRUE)//RPTA EXISTE Y ABRE EL ARCHIVO
                {
                    $zip->extractTo($ruta_archivo_cdr, 'R-' . $nombre . '.XML');
                    //echo '</br> PASO 08: EXTRAER EL XML DEL ZIP';
                    $zip->close();
                }
                $estadoofe = '1';
				//
                if(file_exists($ruta_archivo_cdr. 'R-' . $nombre . '.XML')){
					if(HA_SIDO_ACEPTADA($ruta_archivo_cdr, 'R-' . $nombre . '.XML')){
						return "OK";
					}else{
						return "El comprobante no ha sido aceptado, revisar respuesta Zip/xml";
					}
				}else{
					return "Respuesta Zip no contiene XML";
				}		
            }
            else
            {
				//echo "ERROR";
                $estadoofe = '2';
                $codigo = $doc->getElementsByTagName("faultcode")->item(0)->nodeValue;
                $mensaje = $doc->getElementsByTagName("faultstring")->item(0)->nodeValue;                
                //echo '<br> OCURRIO UN ERROR CON CODIGO: ' . $codigo . 'Msje: ' . $mensaje;
				return 'Ocurrio un error con codigo: ' . $codigo . ' Msje: ' . $mensaje;         
            }

        }
        else //Problema de conexion
        {
            $estadoofe = '3';
			return curl_error($ch)." - Problema de conexion  : ".$response;
        }
		//
        curl_close($ch);
        //PASO 06 - 09: RECIBIR DE DECODIFICAR EN XML ENVELOPE DE SUNAT - FIN
    }
	
public function EnviarResumenComprobantes($emisor,$nombre, $rutacertificado="", $ruta_archivo_xml = "xml/"){

		//firma del documento
		$objSignature = new Signature();

		$flg_firma = "0";
		//$ruta_archivo_xml = "xml/";
		$ruta = $ruta_archivo_xml.$nombre.'.XML';

		$Beta=gs("aux_nom","auxiliar","aux_des='BETA'");
		
		if($Beta=="NO"){
			//$ruta_firma = $rutacertificado."CER-MORABA.pfx";			//ruta del certificado digital		
			//$pass_firma = "Eiveripap06pfx";								//contraseط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ£ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ±a del certificado digital
		}else{
			$ruta_firma = $rutacertificado."certificado_prueba.pfx";	//certificado de prueba
			$pass_firma = "taqini";										//password de prueba
		}
		$resp = $objSignature->signature_xml($flg_firma, $ruta, $ruta_firma, $pass_firma);

		//print_r($resp);


		//Generar el .zip

		$zip = new ZipArchive();

		$nombrezip = $nombre.".ZIP";
		$rutazip = $ruta_archivo_xml.$nombre.".ZIP";

		if($zip->open($rutazip,ZIPARCHIVE::CREATE)===true){
			$zip->addFile($ruta, $nombre.'.XML');
			$zip->close();
		}

		//Enviamos el archivo a sunat

		//$ws = "https://e-beta.sunat.gob.pe/ol-ti-itcpfegem-beta/billService";		
		//$ws = "https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService"; //ws DE SUNAT PRODUCCION
		
		if($Beta=="NO"){
			//$ws = "https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService"; //ws DE SUNAT PRODUCCION
		}else{
			$ws = "https://e-beta.sunat.gob.pe/ol-ti-itcpfegem-beta/billService";	
		}
		

		$ruta_archivo = $ruta_archivo_xml.$nombrezip;
		$nombre_archivo = $nombrezip;
		$ruta_archivo_cdr = "cdr/";

		$contenido_del_zip = base64_encode(file_get_contents($ruta_archivo));

		$xml_envio ='<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" 
		xmlns:ser="http://service.sunat.gob.pe" 
		xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
				 <soapenv:Header>
				 	<wsse:Security>
				 		<wsse:UsernameToken>
				 			<wsse:Username>'.$emisor['ruc'].$emisor['usuario_secundario'].'</wsse:Username>
				 			<wsse:Password>'.$emisor['clave_usuario_secundario'].'</wsse:Password>
				 		</wsse:UsernameToken>
				 	</wsse:Security>
				 </soapenv:Header>
				 <soapenv:Body>
				 	<ser:sendSummary>
				 		<fileName>'.$nombre_archivo.'</fileName>
				 		<contentFile>'.$contenido_del_zip.'</contentFile>
				 	</ser:sendSummary>
				 </soapenv:Body>
				</soapenv:Envelope>';


			$header = array(
						"Content-type: text/xml; charset=\"utf-8\"",
						"Accept: text/xml",
						"Cache-Control: no-cache",
						"Pragma: no-cache",
						"SOAPAction: ",
						"Content-lenght: ".strlen($xml_envio)
					);


			$ch = curl_init();
			curl_setopt($ch,CURLOPT_SSL_VERIFYPEER,1);
			curl_setopt($ch,CURLOPT_URL,$ws);
			curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
			curl_setopt($ch,CURLOPT_HTTPAUTH,CURLAUTH_ANY);
			curl_setopt($ch,CURLOPT_TIMEOUT,30);
			curl_setopt($ch,CURLOPT_POST,true);
			curl_setopt($ch,CURLOPT_POSTFIELDS,$xml_envio);
			curl_setopt($ch,CURLOPT_HTTPHEADER,$header);
			//para ejecutar los procesos de forma local en windows
			//enlace de descarga del cacert.pem https://curl.haxx.se/docs/caextract.html
			curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__)."/cacert.pem");


			$response = curl_exec($ch);

			$httpcode = curl_getinfo($ch,CURLINFO_HTTP_CODE);
			$estadofe = "0";

			$ticket = "0";
			if($httpcode == 200){
				$doc = new DOMDocument();
				$doc->loadXML($response);

				if (isset($doc->getElementsByTagName('ticket')->item(0)->nodeValue)) {
	                $ticket = $doc->getElementsByTagName('ticket')->item(0)->nodeValue;
					//echo "TODO OK : ".$ticket;
					//echo '</br>';
					//return $ticket;
				}else{		

					$codigo = $doc->getElementsByTagName("faultcode")->item(0)->nodeValue;
					$mensaje = $doc->getElementsByTagName("faultstring")->item(0)->nodeValue;
					echo "error ".$codigo.": ".$mensaje; 
				}

			}else{
				
				echo curl_error($ch)." - Problema de c";
			}

			curl_close($ch);
			return $ticket;
	}


	function ConsultarTicket($emisor, $cabecera, $ticket, $ruta_archivo_cdr = "cdr/"){
		$ws = "https://e-beta.sunat.gob.pe/ol-ti-itcpfegem-beta/billService";
		//$ws = "https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService"; //ws DE SUNAT PRODUCCION		
		$nombre	= $emisor["ruc"]."-".$cabecera["tipodoc"]."-".$cabecera["serie"]."-".$cabecera["correlativo"];
		$nombre_xml	= $nombre.".XML";
		//===============================================================//
		//FIRMADO DEL cpe CON CERTIFICADO DIGITAL
		//$objSignature = new Signature();
		//$flg_firma = "0";
		//$ruta = $nombre_xml;

		//$ruta_firma = $rutacertificado."certificado_prueba_sunat.pfx";
		//$pass_firma = "ceti";

		//===============================================================//

		//ALMACENAR EL ARCHIVO EN UN ZIP
		//$zip = new ZipArchive();

		//$nombrezip = $nombre.".ZIP";

		//if($zip->open($nombrezip,ZIPARCHIVE::CREATE)===true){
		//	$zip->addFile($ruta, $nombre_xml);
		//	$zip->close();
		//}

		//===============================================================//

		//ENVIAR ZIP A SUNAT
		$ruta_archivo = $nombre;
		$nombre_archivo = $nombre;
		//$ruta_archivo_cdr = "cdr/";

		//$contenido_del_zip = base64_encode(file_get_contents($ruta_archivo.'.ZIP'));
		//FIN ZIP
		
		$xml_envio ='<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" 
		xmlns:ser="http://service.sunat.gob.pe" 
		xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">		
        <soapenv:Header>
        <wsse:Security>
        <wsse:UsernameToken>
        <wsse:Username>'.$emisor['ruc'].$emisor['usuario_secundario'].'</wsse:Username>
        <wsse:Password>'.$emisor['clave_usuario_secundario'].'</wsse:Password>
        </wsse:UsernameToken>
        </wsse:Security>
        </soapenv:Header>
        <soapenv:Body>
        <ser:getStatus>
        <ticket>' . $ticket . '</ticket>
        </ser:getStatus>
        </soapenv:Body>
        </soapenv:Envelope>';

		$header = array(
					"Content-type: text/xml; charset=\"utf-8\"",
					"Accept: text/xml",
					"Cache-Control: no-cache",
					"Pragma: no-cache",
					"SOAPAction: ",
					"Content-lenght: ".strlen($xml_envio)
				);


		$ch = curl_init();
		curl_setopt($ch,CURLOPT_SSL_VERIFYPEER,1);
		curl_setopt($ch,CURLOPT_URL,$ws);
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($ch,CURLOPT_HTTPAUTH,CURLAUTH_ANY);
		curl_setopt($ch,CURLOPT_TIMEOUT,30);
		curl_setopt($ch,CURLOPT_POST,true);
		curl_setopt($ch,CURLOPT_POSTFIELDS,$xml_envio);
		curl_setopt($ch,CURLOPT_HTTPHEADER,$header);
		//para ejecutar los procesos de forma local en windows
		//enlace de descarga del cacert.pem https://curl.haxx.se/docs/caextract.html
		curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__)."/cacert.pem");

		$response = curl_exec($ch);
		$httpcode = curl_getinfo($ch,CURLINFO_HTTP_CODE);


		//echo "codigo:".$httpcode;

		if($httpcode == 200){
			$doc = new DOMDocument();
			$doc->loadXML($response);
			if(isset($doc->getElementsByTagName('content')->item(0)->nodeValue)){
				$cdr = $doc->getElementsByTagName('content')->item(0)->nodeValue;
				$cdr = base64_decode($cdr);
				file_put_contents($ruta_archivo_cdr."R-".$nombre_archivo.".ZIP", $cdr);
				$zip = new ZipArchive;
				if($zip->open($ruta_archivo_cdr."R-".$nombre_archivo.".ZIP")===true){
					$zip->extractTo($ruta_archivo_cdr,'R-'.$nombre_archivo.'.XML');
					$zip->close();
				}
				// "TODO OK";
				//$OK=1;
				$FILE_XML= $ruta_archivo_cdr.'R-'.$nombre_archivo.'.XML';
				if(file_exists($ruta_archivo_cdr.'R-'.$nombre_archivo.'.XML')){
					if(HA_SIDO_ACEPTADA($ruta_archivo_cdr,'R-'.$nombre_archivo.'.XML')){
						return "OK";
					}else{
						return "El comprobante no ha sido aceptado, revisar respuesta Zip/xml";
					}
				}else{
					return "Respuesta Zip no contiene XML";
				}				
			}else{		
				$codigo = $doc->getElementsByTagName("faultcode")->item(0)->nodeValue;
				$mensaje = $doc->getElementsByTagName("faultstring")->item(0)->nodeValue;
				//
				return "error ".$codigo.": ".$mensaje;
			}
		}else{
			//echo curl_error($ch);
			return curl_error($ch). "-" ."Problema de conexiط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ£ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ³n";
			//echo curl_error($ch). "-" ."Problema de conexiط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ£ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ·ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ·ط·آ·ط¢آ¢ط·آ¢ط¢آ¢ط·آ·ط¢آ·ط·آ¢ط¢آ¢ط·آ·ط¢آ¢ط·آ¢ط¢آ³n";
		}
		curl_close($ch);
	}
}
//


?>